TENEBRIS = "tenebris"

script.on_event(defines.events.on_surface_created, function(event) 
    local surface = game.surfaces[event.surface_index]
    if surface.name == TENEBRIS then        
        surface.freeze_daytime = true
        surface.daytime = 0.35
    end
end)

script.on_event(defines.events.on_player_changed_surface, function(event) 
    local surface = game.surfaces[event.surface_index]

    if surface.name == TENEBRIS then
        game.players[event.player_index].enable_flashlight()
    end
end)
